[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| VectorNormSqFunctor< ValueType > Class Template Reference Functors to Transform Images |

A functor for computing the squared vector norm. More...

`#include <vigra/transformimage.hxx>`

## Public Types

typedef ValueType | argument_type
typedef NumericTraits< typename ValueType::value_type >::RealPromote | result_type

## Public Member Functions

result_type | operator() (const argument_type &a) const

## Detailed Description

### template<class ValueType>
class vigra::VectorNormSqFunctor< ValueType >

A functor for computing the squared vector norm.

Calculate the squared magnitude or norm from a given vector-valued entity. The vector type will typically be some sort of TinyVector.

At least, the vector type is required to have a function 'result`= dot(v,v)`'.

For an example of its usage see VectorNormFunctor

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

See also
  TinyVector, dot()

## Member Typedef Documentation

## ◆ argument_type

typedef ValueType argument_type

the functor's argument type

## ◆ result_type

typedef NumericTraits<typename ValueType::value_type>::RealPromote result_type

the functor's result type

## Member Function Documentation

## ◆ operator()()

result_type operator() | ( | const argument_type & | a | ) | const

calculate transform '`v1*v1 + v2*v2 + ...`'.

The documentation for this class was generated from the following file:

- vigra/transformimage.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0